# class Tk::UTF8_String

### Constants

Encoding

### Public Class Methods

new(str) click to toggle source
Calls superclass method Tk::EncodedString.new

    # File lib/tk/encodedstr.rb, line 175
    def self.new(str)
      super(self.subst_utf_backslash(str))
    end

### Public Instance Methods

to_backslash()
Alias for: to_backslash_sequence
to_backslash_sequence() click to toggle source

    # File lib/tk/encodedstr.rb, line 179
    def to_backslash_sequence
      Tk::EncodedString.utf_to_backslash_sequence(self)
    end

Also aliased as: to_backslash